Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 04:09
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Mupen64Plus
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [15 Posts]  
Author Message
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Wed 26 Oct 2011, 14:32    Post subject:  Mupen64Plus  

I have installed the program on my OS (Dpup Exprimo), and the interface says emulation is working, yet I get no video or sound. Is there something I'm missing?
Back to top
View user's profile Send private message 
Makoto


Joined: 03 Sep 2009
Posts: 1798
Location: Out wandering... maybe.

PostPosted: Fri 28 Oct 2011, 00:40    Post subject:  

If you've got the terminal open, does it mention anything (errors, etc.)?

Go to the directory where mupen's binary is, and do an ldd on it (example: ldd mupen64plus ) Are there any missing dependencies?

Have you installed OpenGL support? (Have you followed what pemasu mentioned, here?)

Perhaps this version of Mupen would work better; I don't know. I never had much luck getting any version of Mupen to work on my Puppy system. Sad

_________________
[ Puppy 4.3.1 JP, Frugal install | 1GB RAM | 1.3GB swap ] * My Pidgin Builds for Puppy 4.3.1+
In memory of our beloved American Eskimo puppy (1995-2010) and black Lab puppy (1997-2011).
Back to top
View user's profile Send private message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 28 Oct 2011, 15:01    Post subject:  

Makoto wrote:
If you've got the terminal open, does it mention anything (errors, etc.)?

Go to the directory where mupen's binary is, and do an ldd on it (example: ldd mupen64plus ) Are there any missing dependencies?

Have you installed OpenGL support? (Have you followed what pemasu mentioned, here?)

Perhaps this version of Mupen would work better; I don't know. I never had much luck getting any version of Mupen to work on my Puppy system. Sad


I tried running Puppy Arcade, but it refuses to boot on my OS, and sc0ttman appears to be busy with more important tasks, so no luck there. (will edit this post after I run the terminal and ldd checks)

Terminal:

Code:
symbol lookup error: mupen64plus: undefined symbol: lzma_auto_decoder
Back to top
View user's profile Send private message 
sc0ttman


Joined: 16 Sep 2009
Posts: 2385
Location: UK

PostPosted: Sat 29 Oct 2011, 04:30    Post subject:  

Hi Warrior and Makoto...

Sorry about missing this one, and not checking the Puppy Arcade thread - Puppy Arcade is needing a big update, and a new base, but I've got other things to do at the moment..

Anyway, these .pets of Mupen work in Puppy 4.2 and later, I have run them successfully in a few pups (Puppy Arcade and more recent ones):

Older: http://ppm.scottjarvis.com/emulation/N64/mupen64plus-1.5-ex.pet (nice GTK GUI, newer version have no GUI)

Newer: http://www.murga-linux.com/puppy/viewtopic.php?t=66080

Newest: http://code.google.com/p/mupen64plus/downloads/detail?name=mupen64plus-bundle-linux32-1.99.4-ubuntu.tar.gz&can=2&q= (not yet tested, seems to load OK though.. needs symlink from libpng12 to libpng14.so.14 ... UPDATE: Works in Akita Linux [so probably pup5s too)

The newer version has better plugins but they would not compile right anyway... I use the older one, it plays games fine, which is all I need.

In order to get Mupen working you need SDL and OpenGL, the SDL you use must be compiled with OpenGL enabled... More info in the 2nd link.

I also linked to a working SDL package in the 2nd link (newer Mupen)... The SDL libs included in Wary by default will probably work fine as well, but I've not tested that. (Although my AssaultCube sfs worked fine in Wary, so it should be good)...

Mupen is a temperamental beast in Puppy though, so good luck!!

_________________
Akita Linux, VLC-GTK, Pup Search, Pup File Search
Back to top
View user's profile Send private message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 27 Jul 2012, 11:34    Post subject:  

Necrobump, but better that than a new thread, yes?

Currently running dpup 5.x.3.4.2.8(good god someone likes his numbers...) and have it up, but i'm getting an error:

http://s12.postimage.org/b02zczmbg/whatdo.jpg

(image because I can't cut and paste text from the terminal(and why is that the case anyways?)[/quote]
Back to top
View user's profile Send private message 
hollywood

Joined: 21 Jul 2012
Posts: 13

PostPosted: Fri 27 Jul 2012, 12:44    Post subject:  

Have you tried using xorg high? I think you should be able to get that from your package manager.
Back to top
View user's profile Send private message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 27 Jul 2012, 13:09    Post subject:  

Installed; error persists.
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 27 Jul 2012, 14:10    Post subject:  

I installed mupen64 from squeeze repo with those depencencies which seemed important. And xorg-high sfs. Then I downloaded first time in my life n64 game, supermario, and it started just fine. With video and audio.
Couldnt get any controls to work though with touchpad or keyboard. I have no idea what should I have done next....
Back to top
View user's profile Send private message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 27 Jul 2012, 15:13    Post subject:  

http://packages.debian.org/squeeze/mupen64plus

...dependencies EVERYWHERE.

Welp, better get started then...
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 27 Jul 2012, 16:36    Post subject:  

Use Puppy Package Manager....it downloads the mupen64...with dependencies. No need to use packages.debian site for this.
Back to top
View user's profile Send private message 
Warrior522

Joined: 03 Aug 2010
Posts: 91

PostPosted: Fri 27 Jul 2012, 19:09    Post subject:  

Same error. I'm starting to think a dual-boot is in order if I want my 64...
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sat 28 Jul 2012, 12:03    Post subject:  

Quote:
Same error. I'm starting to think a dual-boot is in order if I want my 64...


Hi,

the plugin is causing error, maybe incompatible with your puplet?
if you already un-install and remove all plugin then install newer mupen and still fail... then you do need to dual boot.


btw here is simple launcher gui for new mupen which have no gui.

Quote:

#!/bin/sh
tail -n +4 $0 > /tmp/test.txt
exec rxvt -e sh /tmp/test.txt
if [ -z $DISPLAY ]
then
DIALOG=dialog
else
DIALOG=Xdialog
fi
D=$HOME
PKGS=`ls -1 $D`
PKG=`$DIALOG --stdout --fselect "select game to play" 0 0 $PKGS` # [ PKG$ ]


setting=`$DIALOG --stdout --checklist "setting" 20 44 5 " --fullscreen " "Fullscreen Display" ON \
" --noosd " "No Onscreen Display" off \
" --saveoptions " "Save Option " off `

setting2=`$DIALOG --stdout --radiolist "setting interpreter" 20 44 5 " --emumode 0 " "mode 0" ON \
" --emumode 1 " "mode 1" off \
" --emumode 2 " "mode 2" off `


setting=`echo $setting | sed 's/\/ //g'`
echo $setting
echo $setting2


mupen64plus $setting $setting2 "$PKG"

#


@pemasu
Quote:

Couldnt get any controls to work though with touchpad or keyboard. I have no idea what should I have done next....


what version do you run ?
I know some version of mupen have wrong keys config.
check usr/share/mupen64/inputautocfg

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 28 Jul 2012, 13:11    Post subject:  

I got the keyboard working with fiddlling with options. I am just very unexperienced when it comes to games. My only experience comes from helping my kids...
Lastly I got minecraft .jar to work so that my youngest kid could play it with linux.

# mupen64plus
http://code.google.com/p/mupen64plus/
Version 1.5
Back to top
View user's profile Send private message 
Master_wrong

Joined: 19 Mar 2008
Posts: 456

PostPosted: Sat 28 Jul 2012, 13:52    Post subject:  

well, ver1.5 have GUI...
I have to use SDLJoyTest-linux32 to hunt all the bug...
because just upgraded and i cannot find any GUI
that's why i try to make those Xdialog-launcher...

so if anyone can help me find plugin that work with 1.99.4, please let me know...


btw i didnt know that we can run jar in linux, isnt that smartphone app ?
thanks...

_________________
Cluster-Pup v.2-Puppy Beowulf Cluster
http://www.murga-linux.com/puppy/viewtopic.php?p=499199#499199
Back to top
View user's profile Send private message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 28 Jul 2012, 14:27    Post subject:  

No. I meant java app with that .jar
java -jar .minecraft/minecraft.jar
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [15 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Games
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0806s ][ Queries: 12 (0.0083s) ][ GZIP on ]